Name: libpw
Version: 1.3.11
Release: alt3

Summary: Portable Windows Libary
Summary(ru_RU.KOI8-R):   

License: GPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source0: http://www.openh323.org/bin/pwlib_%version.tar.bz2
Patch0: %name-1.3.9-fix-make.patch.bz2
Patch1: %name-1.2.12-libname.patch.bz2
Patch2: %name-asnparser.patch.bz2
Patch3: %name-1.2.5-framerate.patch.bz2
Patch5: %name-1.2.12-EOF.patch.bz2

Url: http://www.openh323.org/

# Automatically added by buildreq on Sun Nov 24 2002
BuildRequires: flex gcc-c++ libexpat-devel libssl-devel libstdc++-devel

BuildRequires: bison
BuildRequires: sed

Provides: pwlib
Obsoletes: libpwlib

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%description -l ru_RU.KOI8-R
PWLib --     ,  
      asa  , 
  Microsoft Windows,    Unix- X-Window.  
     Macintosh,     .
 ,       
.


%package devel
Summary: Portable Windows Libary development files
Summary(ru_RU.KOI8-R):       
Group: Development/C
Requires: %name = %version-%release
Obsoletes: libpwlib-devel

%description devel
Header files and libraries for developing applications that use pwlib.

%description devel -l ru_RU.KOI8-R
      ,  pwlib.

%prep
%setup -qn pwlib
%patch0 -p1 -b .fix-mak
%patch1 -p1 -b .libname
%patch2 -p1 -b .asnparser
%patch3 -p1 -b .frame-rate
%patch5 -p1 -b .EOF

%build
PWLIBDIR=`pwd`; export PWLIBDIR
PWLIB_BUILD="yes"; export PWLIB_BUILD
%make_build optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

cd tools/asnparser
%make_build optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
install -d $RPM_BUILD_ROOT{%_libdir,%_includedir/%name/{ptclib,ptlib/unix/ptlib},%_bindir,%_datadir/%name}

#using cp as install won't preserve links
cp -d lib/lib* $RPM_BUILD_ROOT%_libdir
%define pwinclude $RPM_BUILD_ROOT%_includedir/%name
install include/ptclib/*.h %pwinclude/ptclib
install include/*.h %pwinclude
install include/ptlib/*.{h,inl} %pwinclude/ptlib
install include/ptlib/unix/ptlib/*.{h,inl} %pwinclude/ptlib/unix/ptlib
install tools/asnparser/obj_linux_*/asnparser $RPM_BUILD_ROOT%_bindir

cd make
for l in *.mak ; do
	sed -e 's#@prefix@#%prefix#' \
	    -e 's#@makdir@#%_datadir/%name#' \
		-e 's#\$(PWLIBDIR)/make/#/%_datadir/%name/#' \
		< $l > $RPM_BUILD_ROOT%_datadir/%name/$l
done
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt
%_libdir/lib*.so.*

%files devel
%defattr(644,root,root,755)
%_includedir/%name/*
%attr(755,root,root) %_libdir/*.so
%attr(755,root,root) %_bindir/*
%_datadir/%name


%changelog
* Wed Dec 04 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.11-alt3
- rename package to libpw

* Mon Dec 02 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.11-alt2
- remove packname from spec
- rename package to libpwlib

* Sun Nov 24 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.11-alt1
- spec cleanup, summary and description are translated in russian
- move ptlib from /usr/include to /usr/include/libpwlib
- all pwlib entry changed to libpwlib
- new version

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 1.3.3-alt1
- new version

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.2.12-alt1
- new version

* Wed Oct 10 2001 AEN <aen@logic.ru> 1.1.36-alt1
- new version

* Tue Jul 3 2001 AEN <aen@logic.ru> 1.1.33-alt1
- rebuilt for Sisyphus
- new names

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.33-1mdk
- 1.1.33

*  Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.19-5mdk
- Add patch to fix build on newer gccs.

* Fri Mar 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-4mdk
- PPC: build with gcc
- Requires: %%version-%%release and not only %%version

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-3mdk
- Fix build on PPC
- Bzip2 sources

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-2mdk
- Fix %%changelog to allow automatic rebuild
- Add description for SRPM package

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.19-1mdk
- first Linux-Mandrake version

# Dadou - 1.1.19-2mdk - Don't uncomment lines below or you'll break automatic
#                       rebuild
#* %date PLD Team <pld-list@pld.org.pl>
#All persons listed below can be reached at <cvs_login>@pld.org.pl

#$Log: pwlib.spec,v $
#Revision 1.11  2001/01/11 21:42:36  waszi
#- fixed sed invocation

#Revision 1.10  2001/01/11 14:36:57  jajcus
#- some typos

#Revision 1.9  2001/01/10 14:53:33  jajcus
#- %%{debug} switch handling fixed

#Revision 1.8  2001/01/10 14:48:15  jajcus
#- Release: 3
#- library names changed (we don't need sytem type and such in library name)
#- *.mak files changed so apps compilations won't try to build pwlib
#- %%{debug} macro used together with pwlib's building system
#- only dynamically-linked version of asnparser is built

#Revision 1.7  2001/01/08 09:50:13  kloczek
#- release 2.

#Revision 1.6  2001/01/06 11:08:13  jajcus
#- these are not X11 libraries

#Revision 1.5  2001/01/04 19:50:01  kloczek
#- small simplifications in %install.

#Revision 1.4  2001/01/04 19:31:42  jajcus
#- prefix changed to /usr, as the sources don't contain any GUI code

#Revision 1.3  2001/01/04 12:48:11  jajcus
#- while installing update *.mak files

#Revision 1.2  2001/01/04 10:40:49  jajcus
#- *.mak files are needed in -devel package

#Revision 1.1  2001/01/04 09:46:14  jajcus
#- initial spec
